Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class LockManager

    java.lang.Object
      com.sun.mdm.index.ops.LockManager

class LockManager
extends java.lang.Object

Constructor Summary
`(package private)` | `LockManager()` Creates a new instance of LockManager

Method Summary
`(package private) void` | `lock(java.sql.Connection con, EnterpriseObject eo, boolean lock)` Lock the EnterpriseObject.
`(package private) void` | `lock(java.sql.Connection con, EnterpriseObject eo1, EnterpriseObject eo2)` Lock two EnterpriseObjects.
`(package private) void` | `lock(java.sql.Connection con, EnterpriseObject eo1, EnterpriseObject eo2, java.lang.String srcRevisionNumber, java.lang.String destRevisionNumber)` Lock two EnterpriseObjects.
`(package private) void` | `lock(java.sql.Connection con, EnterpriseObject eo, java.lang.String revisionNumber, boolean lock)` Lock the EnterpriseObject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockManager

    LockManager()

  Creates a new instance of LockManager

Method Detail

### lock

    void lock(java.sql.Connection con,
              EnterpriseObject eo,
              boolean lock)
        throws DataModifiedException

  Lock the EnterpriseObject. Lock is on the SystemSBR table for the given EUID.

  Parameters:
    `con` - JDBC connection handle.
    `eo` - EnterpriseObject to lock.
    `lock` - Lock flag.
  Throws:
    `DataModifiedException` - if the record could not be locked.

### lock

    void lock(java.sql.Connection con,
              EnterpriseObject eo1,
              EnterpriseObject eo2)
        throws DataModifiedException

  Lock two EnterpriseObjects. Lock is on the SystemSBR table for the given EO.

  Parameters:
    `con` - JDBC connection handle.
    `eo1` - First Enterprise Object to lock.
    `eo2` - Second Enterprise Object to lock.
  Throws:
    `DataModifiedException` - if the record could not be locked.

### lock

    void lock(java.sql.Connection con,
              EnterpriseObject eo1,
              EnterpriseObject eo2,
              java.lang.String srcRevisionNumber,
              java.lang.String destRevisionNumber)
        throws DataModifiedException

  Lock two EnterpriseObjects. Lock is on the SystemSBR table for the given EO.

  Parameters:
    `con` - JDBC connection handle.
    `eo1` - First Enterprise Object to lock.
    `eo2` - Second Enterprise Object to lock.
    `srcRevisionNumber` - SBR revision number of the source (eo1).
    `destRevisionNumber` - SBR revision number of the destination (eo2).
  Throws:
    `DataModifiedException` - if the record could not be locked.

### lock

    void lock(java.sql.Connection con,
              EnterpriseObject eo,
              java.lang.String revisionNumber,
              boolean lock)
        throws DataModifiedException

  Lock the EnterpriseObject. Lock is on the SystemSBR table for the given EO.

  Parameters:
    `con` - JDBC connection handle.
    `eo` - Enterprise Object to lock.
    `revisionNumber` - SBR revision number.
    `lock` - Lock flag
  Throws:
    `DataModifiedException` - if the record could not be locked.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.